OttoFMS Settings
Update Server Settings
Request Body
application/json
PATCH /otto/api/settings Request body
auto-register-webhook?unknown
Default
trueFormat
boolean (preprocessed)debugLogging?unknown
Format
boolean (preprocessed)deleteFMSRemovedFilesAfterXDays?unknown
Format
integer,null (preprocessed)Range
0 <= value <= 9007199254740991environmentTag?|
Length
length <= 5environmentTagColor?|
a hex value that will be set as the theme color
maxDeploymentBackups?unknown
Default
3Format
integer (preprocessed)Range
0 <= value <= 9007199254740991maxOutboxBuilds?unknown
Default
3Format
integer (preprocessed)Range
0 <= value <= 9007199254740991serverNickname?unknown
Format
string (preprocessed)sidebarVariant?string
Default
"color"Value in
"light" | "color"syncToHostname?unknown
Format
boolean (preprocessed)themeColor?|
a hex value that will be set as the theme color
appLogToken?string
Value in
"regenerate"revertHostname?boolean
Response Body
application/json
application/json
curl -X PATCH "https://your.server.net/otto/api/settings" \ -H "Content-Type: application/json" \ -d '{}'{
"response": {},
"messages": [
{
"code": 0,
"text": "ok"
}
]
}{
"response": {},
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
]
}